
QGIS Application - Bug report #21792

Crash when creating mapset

2019-04-08 04:02 PM - Rafael Igino

Status: Feedback

Priority: High

Assignee:

Category: GRASS

Affected QGIS version:3.4.6 Regression?: No

Operating System: Windows 10 Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 29607

Description

User Feedback

EN: When I create a new mapset, qgis returns this error window.

PT: Quando vou criar um novo mapset, o qgis retorna essa janela de erro.

Report Details

Crash ID: 91a9cb64f10e82035e603c28b0be9355edc565be

Stack Trace

memset :

MITSetLastInputRecipient :

_C_specific_handler :

_chkstk :

RtlUnwindEx :

_C_specific_handler :

_chkstk :

RtlWalkFrameChain :

RtlRaiseStatus :

memset :

setjmpex :

G_fatal_error :

G_getenv :

read_datum_table :

GPJ_osr_to_grass :

GPJ_wkt_to_grass :

version :

version :

QMetaObject::activate :

QWizard::subTitleFormat :

QWizard::next :

QMetaObject::activate :

QAbstractButton::clicked :

QAbstractButton::click :

QAbstractButton::mouseReleaseEvent :

QWidget::event :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QApplicationPrivate::sendMouseEvent :

QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :
QGuiApplicationPrivate::processMouseEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

CallWindowProcW :

DispatchMessageW :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QCoreApplication::exec :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.4.6-Madeira

QGIS code revision: commit:cc0e375a9f

Compiled against Qt: 5.11.2

Running against Qt: 5.11.2

Compiled against GDAL: 2.4.1

Running against GDAL: 2.4.1

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.17134

History

#1 - 2019-04-08 04:05 PM - Jürgen Fischer

- Crashes QGIS or corrupts data changed from No to Yes

- Description updated

- Subject changed from Crash ao cria um novo Mapset to Crash when creating mapset

#2 - 2019-04-10 05:38 PM - Giovanni Manghi

- Priority changed from Normal to High

- Status changed from Open to Feedback

Duplicate of #20327 ?

Files

mensagem_erro.PNG 37 KB 2019-04-08 Rafael Igino
